The XOS schema every verdict, proof and confidence is written in
What you can call today
Every example here runs against api.xovris.ai with a key from your account’s settings. GET /v1/health and GET /v1/public/status answer without one.
const url = 'https://api.xovris.ai/v1/public/schemas/xos-v1.json';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.xovris.ai/v1/public/schemas/xos-v1.jsonNo token needed: anyone may call this.
Responses
Section titled “Responses”Done.
A JSON Schema document: it also carries $schema and $id.
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "title": "string", "type": "object", "required": [ "xos" ], "properties": { "xos": { "const": 1 }, "kind": { "enum": [ "answer" ] }, "received_at": { "type": "string", "format": "date-time" }, "verdict": { "type": "object", "required": [ "state" ], "properties": { "state": { "enum": [ "unknown" ] }, "text": { "type": "string" } } }, "targets": { "type": "array", "items": { "type": "object", "required": [ "type" ], "properties": { "type": { "type": "string" }, "id": { "type": "string" } } } }, "claims": { "type": "array", "items": { "type": "object", "required": [ "id" ], "properties": { "id": { "type": "string" }, "text": { "type": "string" }, "support": { "enum": [ "verified" ] }, "evidence": { "type": "array", "items": { "type": "string" } } } } }, "evidence": { "type": "array", "items": { "type": "object", "required": [ "id" ], "properties": { "id": { "type": "string" }, "kind": { "enum": [ "measurement" ] }, "source": { "type": "string" }, "captured_at": { "type": "string", "format": "date-time" }, "ttl_s": { "type": "integer", "minimum": 0 }, "rerun": { "type": "string" }, "sha256": { "type": "string" }, "excerpt": { "type": "string" } } } }, "confidence": { "type": "object", "required": [ "tier" ], "properties": { "tier": { "enum": [ "high" ] }, "reasons": { "minItems": 1, "type": "array", "items": { "type": "string" } }, "would_raise": { "type": "array", "items": { "type": "string" } }, "record": { "oneOf": [ { "type": "null" } ] }, "alternatives": { "type": "array", "items": { "type": "object", "required": [ "cause" ], "properties": { "cause": { "type": "string" }, "status": { "enum": [ null ] }, "evidence": { "type": "array", "items": { "type": null } } } } } } }, "plan": { "type": "array", "items": { "type": "object", "required": [ "step" ], "properties": { "step": { "type": "string" }, "status": { "enum": [ "pending" ] } } } }, "actions": { "type": "array", "items": { "type": "object", "required": [ "id" ], "properties": { "id": { "type": "string" }, "label": { "type": "string" }, "consequence": { "type": "string" }, "explains": { "type": "object", "required": [ "changes" ], "properties": { "changes": { "type": "string" }, "where": { "type": "string" }, "undo": { "type": "string" } } }, "reach": { "type": "array", "items": { "type": "string" } }, "reversible": { "enum": [ "yes" ] }, "undo": { "oneOf": [ { "type": null } ] }, "cost": { "type": "string" }, "permission": { "enum": [ "ask" ] }, "primary": { "type": "boolean" } } } }, "proof": { "oneOf": [ { "type": "null" } ] }, "verification": { "oneOf": [ { "type": "null" } ] }, "undo_receipt": { "oneOf": [ { "type": "null" } ] }, "timeline": { "type": "array", "items": { "type": "object", "required": [ "t" ], "properties": { "t": { "type": "string", "format": "date-time" }, "type": { "enum": [ "thought" ] }, "text": { "type": "string" } } } }, "body": { "type": "array", "items": { "type": "object", "required": [ "id" ], "properties": { "id": { "enum": [ "found" ] }, "text": { "type": "string" } } } }, "changes": { "type": "array", "items": { "type": "object", "required": [ "group" ], "properties": { "group": { "type": "string" }, "explanation": { "type": "string" }, "target": { "type": "string" }, "rows": { "type": "array", "items": { "type": "object", "properties": { "before": { "type": null }, "after": { "type": null }, "moved": { "type": null } } } } } } }, "impact": { "type": "string" }, "agent": { "const": "Xovris" } }}Nothing with that id here, or it belongs to another workspace. Nothing was changed.
object
object
A stable code a program can branch on.
What happened, in plain words.
What to do next.
The recorded authorisation decision, when a role refused it.
Example generated
{ "error": { "code": "example", "message": "example", "nextStep": "example", "decisionId": "example" }}default
Section titled “default”Any other refusal or failure. The answer says what happened and what to do next.
object
object
A stable code a program can branch on.
What happened, in plain words.
What to do next.
The recorded authorisation decision, when a role refused it.
Example generated
{ "error": { "code": "example", "message": "example", "nextStep": "example", "decisionId": "example" }}Your data is never used to train our AI. How your data is kept
A problem is called fixed only once it works again. How each fix is checked
XOVRIS LTD, registered in England and Wales, company number 17499910. Registered office: 66 Paul Street, London EC2A 4NA.